### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Class LogicalServerFilter

java.lang.Object
com.sas.services.information.Filter
com.sas.services.information.metadata.LogicalServerFilter

All Implemented Interfaces:
  `FilterInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class LogicalServerFilter extends Filter

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.information.Filter

  `_component`

  ### Fields inherited from interface com.sas.services.information.FilterInterface

  `BASE_SCOPE, FILTERCOMPONENT_UNSUPPORTED, FLAG_OVERRIDE, ONELEVEL_SCOPE, PROTOCOL_DAV, PROTOCOL_HIBERNATE, PROTOCOL_IPOD, PROTOCOL_LDAP, PROTOCOL_OMI, SUBTREE_SCOPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogicalServerFilter()`
  `LogicalServerFilter(String key, int relation, String value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getOMRType()`
  Get the OMR type.

  ### Methods inherited from class com.sas.services.information.Filter

  `addProtocol, addSearchOption, component2JCRXPath, component2Select, getDAVBase, getDAVBasicSearchString, getDAVScope, getDAVSQLString, getDAVType, getExplicitSearchString, getFilterComponent, getFilterString, getJCRType, getJCRXPathString, getName, getOMRFlags, getOMROption, getOMRRepository, getOMRSearchString, getOMRTemplate, getProtocols, getRdbmsTable, getSearchOptions, getType, getXMLSelectString, getXPathString, removeProtocol, removeSearchOption, setDAVBase, setDAVScope, setExplicitSearchString, setFilterComponent, setName, setOMRFlags, setOMROption, setOMRRepository, setOMRTemplate, setProtocols, setRdbmsTable, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LogicalServerFilter

    public LogicalServerFilter()

  - ### LogicalServerFilter

    public LogicalServerFilter(String key, int relation, String value)

- ## Method Details

  - ### getOMRType

    public String getOMRType()
    Description copied from class: `Filter`
    Get the OMR type. Return the type by default. subclasses may override this to return a different string. This method is mostly for use by the OMIRepository class.

    Specified by:
      `getOMRType` in interface `FilterInterface`
    Overrides:
      `getOMRType` in class `Filter`
    Returns:
      The OMR specific type to search for.